%global momorel 2
%global py_ver 2.2

Summary: subversion a compelling replacement for CVS
Name: subversion
Version: 1.0.6
Release: %{momorel}m
License: Apache
Group: Development/Tools
URL: http://subversion.tigris.org/
%NoSource 0 http://subversion.tigris.org/tarballs/subversion-%{version}.tar.bz2 bb05fe041fef7491b3555904d97f5e1c
Source1: mod_dav_svn.conf
Source2: svnserve.sh
Source3: pre-svnserve
Source10: cvs2svn.tar.bz2
Patch0: subversion-pymodulepath.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: httpd-devel >= 2.0.45-3m
BuildPreReq: httpd-apr >= 2.0.50-1m
BuildPreReq: db4-devel >= 4.2.52-3m
BuildPreReq: gdbm-devel
BuildPreReq: neon-devel >= 0.24.7
BuildPreReq: swig >= 1.3.19-2m
BuildPreReq: expat-devel
BuildPreReq: openldap-devel >= 2.1.22-2m
BuildPreReq: pam-devel
BuildPreReq: cyrus-sasl-devel
BuildPreReq: openssl-devel
BuildPreReq: zlib-devel
BuildPreReq: python-devel
BuildPreReq: krb5-devel
BuildPreReq: libxml2-devel

%description
The goal of the Subversion project is to build a revision control system that
is a compelling replacement for CVS in the open source community. The software
is released under an Apache/BSD-style open source license.

%package devel
Group: Development/Tools
Summary: Development package for subversion
Requires: subversion = %{version}-%{release}

%description devel
subversion devel

%package server
Group: Development/Tools
Summary: Apache server module for subversion
Requires: httpd
Requires: subversion = %{version}-%{release}

%description server
subversion apache module

%package python
Group: Development/Tools
Summary: subversion python bindings
Requires: python >= %{py_ver}
Requires: subversion = %{version}-%{release}

%description python
python bindings for subversion

%package cvs2svn
Group: Development/Tools
Summary: cvs to svn conversion utillity.
Requires: python >= %{py_ver}
Requires: swig >= 1.3.19-2m

%description cvs2svn
cvs2svn

%package utils
Group: Development/Tools
Summary: tiny tools for svn
Requires: perl, subversion = %{version}-%{release}

%description utils
tiny tools for svn

%prep
%setup -q
rm -rf tools/cvs2svn
tar zxf %{S:10} -C tools
%patch0 -p1

%build
libtoolize --copy --force
cp %{_datadir}/aclocal/libtool.m4 ac-helpers
autoheader
autoconf
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
	--with-neon=%{_prefix} \
	--with-apr=%{_bindir}/apr-config \
	--with-apr-util=%{_bindir}/apu-config \
	--with-apxs=%{_sbindir}/apxs \
	--with-berkeley-db=%{_prefix} --with-zlib --with-swig=%{_prefix}
find subversion -type d -exec cp libtool {} \;

make %{?_smp_mflags} || make
make swig-py

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/mod_dav_svn.conf.dist
make install-swig-py DESTDIR=%{buildroot}
# install wrapper script
mv %{buildroot}%{_bindir}/svnserve %{buildroot}%{_bindir}/svnserve-bin
%{__install} -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/svnserve

cp -a tools/cvs2svn/rcsparse %{buildroot}%{_libdir}/python%{py_ver}/site-packages
rm -rf %{buildroot}%{_libdir}/python%{py_ver}/site-packages/rcsparse/CVS
install -m 755 tools/cvs2svn/cvs2svn.py %{buildroot}%{_bindir}/cvs2svn
# install -m 755 tools/cvs2svn/cvs2svn.1 %{buildroot}%{_mandir}/man1/
install -m 755 svn-config %{buildroot}%{_bindir}/svn-config

%{__install} -m 0755 -d %{buildroot}%{_sysconfdir}/subversion
%{__install} -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/subversion/

%{__install} -m 0755 contrib/client-side/svn_load_dirs.pl %{buildroot}%{_bindir}/
%{__install} -m 0755 contrib/client-side/svn_all_diffs.pl %{buildroot}%{_bindir}/
%{__install} -m 0755 contrib/client-side/search-svnlog.pl %{buildroot}%{_bindir}/
%{__install} -m 0755 contrib/client-side/svn-log.pl %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc BUGS CHANGES COMMITTERS COPYING ChangeLog.CVS HACKING INSTALL
%doc README
%dir %{_sysconfdir}/subversion
%config(noreplace) %{_sysconfdir}/subversion/pre-svnserve
%{_bindir}/svn
%{_bindir}/svnadmin
%{_bindir}/svndumpfilter
%{_bindir}/svnlook
%{_bindir}/svnserve
%{_bindir}/svnserve-bin
%{_bindir}/svnversion
%{_libdir}/libsvn_*.so.*
%{_mandir}/man1/svn.1*
%{_mandir}/man1/svnadmin.1*
%{_mandir}/man1/svndumpfilter.1*
%{_mandir}/man1/svnlook.1*
%{_mandir}/man1/svnversion.1*
%{_mandir}/man5/svnserve.conf.5*
%{_mandir}/man8/svnserve.8*
#%%{_infodir}/*

%files devel
%defattr(-,root,root,-)
%{_bindir}/svn-config
%{_libdir}/libsvn_*.so
%{_libdir}/libsvn_*.*a
%{_includedir}/subversion-1

%files server
%defattr(-,root,root,-)
%{_libdir}/httpd/modules/mod_dav_svn.so
%{_libdir}/httpd/modules/mod_authz_svn.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_dav_svn.conf.dist

%files python
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/libsvn
%{_libdir}/python%{py_ver}/site-packages/svn

%files cvs2svn
%defattr(-,root,root,-)
%{_bindir}/cvs2svn
%{_libdir}/python%{py_ver}/site-packages/rcsparse
#%%{_mandir}/man1/cvs2svn.1*

%files utils
%defattr(-,root,root,-)
%doc contrib/client-side/svn_load_dirs.README contrib/client-side/svn_load_dirs_property_table.example
%{_bindir}/svn_load_dirs.pl
%{_bindir}/svn_all_diffs.pl
%{_bindir}/search-svnlog.pl
%{_bindir}/svn-log.pl

#%%post
#/sbin/ldconfig
#if [ $1 = 1 ]; then
#	/sbin/install-info --info-dir=%{_infodir} %{_infodir}/svn-design.info
#fi

#%%preun
#if [ $1 = 0 ]; then
#	/sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/svn-design.info
#fi

%changelog
* Wed Jul 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.6-2m)
- stop service

* Tue Jul 20 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.6-1m)
- update to 1.0.6

* Mon Jul 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-3m)
- set release of BuildPreReq: httpd-apr >= 2.0.50-1m
- change tar zxvf to tar zxf

* Mon Jun 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-2m)
- rebuild against db4.2

* Fri Jun 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Sat May 21 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-1m)
- update to 1.0.4

* Thu May 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.3-1m)
- update to 1.0.3
   this release is for security fix

* Tue Apr 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.2-1m)
- update to 1.0.2
- changes
   Fixes for the following bugs:
     a segfault when remotely deleting svn:author property
     mod_dav_svn accepting too many authors
     create runtime config files with native EOLs
     recursive propset can corrupt .svn/entries
     allow shared working copies [mostly working now]
     mod_authz_svn should ignore the URI on a MERGE request
     svnserve assertion failure on empty error messages
     commit/update memory leaks when working on many targets
     and not displaying repos-paths or URLs with '\' on Win32.

* Tue Apr 13 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.1-4m)
- add BuildPreReq: libxml2-devel

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.1-3m)
- rebuild against for libxml2-2.6.8

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.1-2m)
- revised spec for rpm 4.2.

* Sat Mar 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1
- delete tools/cvs2svn/rcsparse from file list
- make tarball use current 'svn co http://svn.collab.net/repos/cvs2svn/trunk cvs2svn'

* Mon Feb 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-1m)
- update to 1.0.0

* Mon Feb 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.1.2m)
- add subversion-utils subpackage which contains tiny tools for client-side svn

* Sun Feb 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.1.1m)
- update to 1.0.0 RC

* Mon Jan 26 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.37.0-1m)
- update to 0.37.0
- post-svnserve was gone

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.36.0-3m)
- import patch from BTS of subversion
   see http://subversion.tigris.org/issues/show_bug.cgi?id=1474
- remove IDEAS from %%files

* Wed Jan 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.36.0-2m)
- correct cangelog
- revise svnserve.sh

* Wed Jan 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.36.0-1m)
- update to 0.36.0
- add patch from http://subversion.tigris.org/issues/show_bug.cgi?id=1698
- provides pre-svnserve and post-svnserve hooks

* Thu Jan  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.35.1-3m)
- remove BuildPreReq: krb5-devel since neon-devel requires it if necessary.

* Wed Jan 07 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.35.1-2m)
- add BuildPreReq: krb5-devel for -lgssapi_krb5

* Sun Dec 21 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.35.1-1m)
- update to 0.35.1

* Fri Dec 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.34.0-1m)
- update to 0.34.0
- %%config(noreplace) %%{_sysconfdir}/httpd/conf.d/mod_dav_svn.conf

* Mon Nov 10 2003 Masahiro Takahata <takahata@monoga-linux.org>
- (0.32.1-2m)
- rebuild against openldap

* Sat Oct 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.32.1-1m)
- update to 0.32.1

* Tue Oct 14 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.31.0-1m)
- update to 0.31

* Wed Oct  8 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.30.0-1m)
- update to 0.30.0
- change source URL
- License

* Fri Aug 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.27.0-1m)
- update to 0.27.0

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.26.0-1m)
- add new sub package for python bindings

* Fri Jul 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.26.0-1m)
- update to 0.26.0

* Mon Jul 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.25-1m)
  update to 0.25

* Tue Jun 24 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.24.1-2m)
  fix niwatama

* Wed Jun 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.24.1-1m)
  update to 0.24.1
  
* Fri May 23 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.23.0-1m)
  update to 0.23.0

* Thu May  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.21.0-4m)
  BuildPreReq httpd-apr

* Sun May  4 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.21.0-3m)
- fix %%post and %%preun (svn_design.info.* -> svn-design.info)

* Sun Apr 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.21.0-2m)
  added cvs2svn sub package

* Sat Apr 26 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- Initial build.
